Criar desconto progressivo
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/pricing/progressive-discounts \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"min_value": 0,
"max_value": 100,
"percent": 5,
"start_at": "2025-06-01 00:00:00",
"end_at": "2025-08-10 00:00:00",
"active": true,
"restrictions": {
"include": {
"products_ids": [
123
],
"brands_ids": [
123
],
"collections_ids": [
123
],
"categories_ids": [
123
]
}
},
"exclude": {
"products_ids": [
123
],
"brands_ids": [
123
],
"collections_ids": [
123
],
"categories_ids": [
123
]
}
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/pricing/progressive-discounts"
payload = {
"min_value": 0,
"max_value": 100,
"percent": 5,
"start_at": "2025-06-01 00:00:00",
"end_at": "2025-08-10 00:00:00",
"active": True,
"restrictions": { "include": {
"products_ids": [123],
"brands_ids": [123],
"collections_ids": [123],
"categories_ids": [123]
} },
"exclude": {
"products_ids": [123],
"brands_ids": [123],
"collections_ids": [123],
"categories_ids": [123]
}
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
min_value: 0,
max_value: 100,
percent: 5,
start_at: '2025-06-01 00:00:00',
end_at: '2025-08-10 00:00:00',
active: true,
restrictions: {
include: {
products_ids: [123],
brands_ids: [123],
collections_ids: [123],
categories_ids: [123]
}
},
exclude: {
products_ids: [123],
brands_ids: [123],
collections_ids: [123],
categories_ids: [123]
}
})
};
fetch('https://api.dooki.com.br/v2/{alias}/pricing/progressive-discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"active": true,
"min_value": 123,
"max_value": 100,
"percent": 5,
"min_quantity": 123,
"accumulate": true,
"expired": true
}Desconto progressivo
Criar desconto progressivo
Cria um novo desconto progressivo
POST
/
{alias}
/
pricing
/
progressive-discounts
Criar desconto progressivo
Path Parameters
Alias da loja
Body
application/json
Representa uma requisição de desconto progressivo
Example:
0
Example:
100
Example:
5
Data e hora de início
Example:
"2025-06-01 00:00:00"
Data e hora de término
Example:
"2025-08-10 00:00:00"
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I